#ifndef __IUF_AST3D
#define __IUF_AST3D
/** This class represent a asteroid with a 3d shape. 
The 3D mesh is loaded from a raw file. by the constructuor. */
#include "Triangle.h"

class Ast3D: public Ast
{
public:
	/** The mesh representing the asteroid silohuette. */
	Mesh M;

	/** Default constructor.
It should also load the asteroid mesh.
*/
	Ast3D(char *filename="ast.raw"){
	M.Open(filename);
	}

/** Specialized constructor to set also angular velocity and size.
It should also load the asteroid mesh.
	*/
	Ast3D(const Point3f &_p, const float _angle, const Point3f &_v, float _av,float _size,char *filename="ast.raw"):
			Ast(_p,_angle,_v,_av,_size){
			M.Open(filename);
			}
/** 
Draw the asteroid shape.
Simply draw the mesh stored in M
*/
virtual	void Draw();

};
#endif